Package opennlp.tools.lemmatizer

## Class LemmatizerFactory

- java.lang.Object
- - opennlp.tools.util.BaseToolFactory
  - - opennlp.tools.lemmatizer.LemmatizerFactory

-     public class LemmatizerFactory
      extends BaseToolFactory

  The factory that provides `Lemmatizer` default implementation and resources.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LemmatizerFactory()` | Instantiates a `LemmatizerFactory` that provides the default implementation of the resources.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LemmatizerFactory` | `create​(String subclassName)` | Instantiates a `LemmatizerFactory` via a given `subclassName`.
    `LemmatizerContextGenerator` | `getContextGenerator()` |
    `SequenceValidator<String>` | `getSequenceValidator()` |
    `void` | `validateArtifactMap()` | Validates the parsed artifacts.

    - ### Methods inherited from class opennlp.tools.util.BaseToolFactory

      `create, create, createArtifactMap, createArtifactSerializersMap, createManifestEntries`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LemmatizerFactory

          public LemmatizerFactory()

      Instantiates a `LemmatizerFactory` that provides the default implementation of the resources.

  - ### Method Detail

    - #### create

          public static LemmatizerFactory create​(String subclassName)
                                          throws InvalidFormatException

      Instantiates a `LemmatizerFactory` via a given `subclassName`.
      Parameters:
        `subclassName` - The class name used for instantiation. If `null`, an instance of `LemmatizerFactory` will be returned per default. Otherwise, the `ExtensionLoader` mechanism is applied to load the requested `subclassName`.
      Returns:
        A valid `LemmatizerFactory` instance.
      Throws:
        `InvalidFormatException`

    - #### validateArtifactMap

          public void validateArtifactMap()
                                   throws InvalidFormatException

      Description copied from class: `BaseToolFactory`
      Validates the parsed artifacts.

      Note: Subclasses should generally invoke `super.validateArtifactMap` at the beginning of this method.

      Specified by:
        `validateArtifactMap` in class `BaseToolFactory`
      Throws:
        `InvalidFormatException` - Thrown if validation found invalid states.

    - #### getSequenceValidator

          public SequenceValidator<String> getSequenceValidator()

      Returns:
        Retrieves a new `SequenceValidator` instance.

    - #### getContextGenerator

          public LemmatizerContextGenerator getContextGenerator()

      Returns:
        Retrieves a new `LemmatizerContextGenerator` instance.